.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

body {
	font-size: 1.8rem;
	background-color: #ececec;
	color: black;
	font-weight: 500;
	padding-top: 10px;
	/*background-image: url("background.png");*/
	background-size: cover;
	font-family: Helvetica;
	overflow: hidden;
}

table {
	width: 100%;
	border-collapse: collapse;
}

select {
	font-size: 1.6rem;
	width: 200px;
	border: none;
	border-radius: 6px;
	background-color: transparent;
	color: black;
	font-weight: 500;
}

select option {
	background-color: white;
	border: 1px solid #4ddeff;
}

button {
	font-size: 1.6rem;
	width: 200px;
	border: none;
	border-radius: 6px;
	background-color: #d4121e;
	color: black;
	font-weight: 500;
	cursor: pointer;
}

a {
	text-decoration: none;
	font-size: 20px;
}

.glow {
	color: black;
	text-align: center;
	-webkit-animation: glow 1s ease-in-out infinite alternate;
	-moz-animation: glow 1s ease-in-out infinite alternate;
	animation: glow 1s ease-in-out infinite alternate;
}

@-webkit-keyframes glow {
	from {
		text-shadow: 0 0 6px #fff, 0 0 16px #fff, 0 0 26px #cecece, 0 0 36px #9c9595;
	}
	to {
		text-shadow: 0 0 8px #fff, 0 0 18px #cecece, 0 0 28px #cecece, 0 0 38px #9c9595;
	}
}

a.glow {
	border: 2px solid white; 
	border-radius: 8px; 
	display:inline-block; 
	width: 60%; 
	padding: 8px 0px;
	background-color: #d4121e;
	color: white;
	z-index: 4;
}

.text-center {
	text-align: center;
	vertical-align: center;
}

.text-left {
	text-align: left;
}

.text-right {
	text-align: right;
}

.warning {
	display: none;
	position: fixed;
	top: 10vh;
	left: 10vw;
	width: 80vw;
	height: 80vh;
	border-radius: 20px;
	background-color: rgba(245, 64, 64, 0.9);
	border: 2px solid #f54040;
	/*margin: 0 10vw 0 10vw;*/
	text-align: center;
	font-size: 3rem;
	-webkit-animation: warn 1s ease-in-out infinite alternate;
	-moz-animation: warn 1s ease-in-out infinite alternate;
	animation: warn 1s ease-in-out infinite alternate;
}

@-webkit-keyframes warn {
	from {
		text-shadow: 0 0 6px #fff, 0 0 16px #fff, 0 0 26px #00cbe6, 0 0 36px #00cbe6;
		box-shadow: 0 0 42px #f54040, 0 0 52px #f54040, 0 0 62px #f54040, 0 0 72px #f54040;
	}
	to {
		text-shadow: 0 0 8px #fff, 0 0 18px #4ddeff, 0 0 28px #4ddeff, 0 0 38px #4ddeff;
		box-shadow: 0 0 48px #c92222, 0 0 58px #c92222, 0 0 68px #c92222, 0 0 78px #c92222;
	}
}

.shutdown {
	display: none;
	position: fixed;
	top: 10vh;
	left: 8vw;
	width: 80vw;
	height: 60vh;
	border-radius: 20px;
	background-color: rgba(0,0,0,1);
	border: 2px solid #4ddeff;
	text-align: center;
	font-size: 3rem;
	padding-top: 100px;
	z-index: 1001;
	-webkit-box-shadow: inset 0px 0px 25px 10px rgba(77,222,255,0.5); 
	box-shadow: inset 0px 0px 25px 10px rgba(77,222,255,0.5);
}

.protect {
	display: none;
	position: fixed;
	top: 4vh;
	left: 8vw;
	width: 80vw;
	height: 78vh;
	border-radius: 20px;
	background-color: rgba(0,0,0,1);
	border: 2px solid #4ddeff;
	text-align: center;
	font-size: 3rem;
	padding-top: 40px;
	z-index: 10;
	-webkit-box-shadow: inset 0px 0px 25px 10px rgba(77,222,255,0.5); 
	box-shadow: inset 0px 0px 25px 10px rgba(77,222,255,0.5);
}

img.branding {
	position: fixed;
	bottom: 2px;
	left: 2px; 
	width: 320px;
	height: auto;
}

.brandingAnimation {
	position: fixed; 
	bottom: 0; 
	right: 0; 
	width: 800px; 
	height: 400px;
	z-index: -1;
	pointer-events: none;
}

.slidecontainer {
  width: 100%;
}

.slider {
  -webkit-appearance: none;
  width: 100%;
  height: 25px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  background: #04AA6D;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  background: #04AA6D;
  cursor: pointer;
}

table.vKeypad {
	width: 300px; 
	margin-left: auto; 
	margin-right: auto;
}

table.vKeypad tr td {
	text-align: center;
	padding: 8px;
}

table.vKeypad tr td a {
	text-align: center;
	font-size: 3rem;
	border: 1px solid #f2f2f2;
	border-radius: 8px;
	padding: 4x 30px !important;
}

div#KioskBoard-VirtualKeyboard {
	transform: scaleY(0.9) !important;
	transform: scaleX(0.9) !important;
	transform-origin: bottom center;
}

div#KioskBoard-VirtualKeyboard.kioskboard-theme-dark {
	background: rgba(0,0,0,0) !important;
	box-shadow: none !important;
	-webkit-box-shadow: none !important;
}